Problem with APT-GET UPGRADE

Kernels & Hardware, configuring network, installing services

Problem with APT-GET UPGRADE

Postby Rorro » 2019-01-17 09:25

Hello everyone, I have a problem to make the order apt-get upgrade, it comes out:

ERR : 6 http://security.debian.org/debian-security stretch/updates/main amd64 libvlc5 amd64 3.0.6-0+deb9u1
Inconsistent hash check sum
Hashes of expected file :
etc...

I don't understand my mistake??
In my /etc/apt/sources.list folder I put :

deb http://deb.debian.org/debian stretch main
deb-src http://deb.debian.org/debian stretch main

deb http://deb.debian.org/debian stretch-updates main
deb-src http://deb.debian.org/debian stretch-updates main

deb http://security.debian.org/debian-security/ stretch/updates main
deb-src http://security.debian.org/debian-security/ stretch/updates main

I also tried:

Debian Stretch official repositories:
deb http://deb.debian.org/debian/ stretch main contrib non-free
#deb-src http://deb.debian.org/debian/ stretch main

# Debian Stretch, security updates :
deb http://security.debian.org/ stretch/updates main contrib non-free
#deb-src http://security.debian.org/ stretch/updates main contrib non-free

# Debian Stretch, "volatile" updates :
deb http://deb.debian.org/debian/ stretch-updates main contrib non-free
#deb-src http://deb.debian.org/debian/ stretch-updates main contrib non-free

But still the same error, I tried the command: rm /var/lib/apt/lists/* but it doesn't work either...

Thank you in advance

Translated with www.DeepL.com/Translator
Rorro
 
Posts: 1
Joined: 2019-01-17 09:23

Re: Problem with APT-GET UPGRADE

Postby Head_on_a_Stick » 2019-01-17 09:54

Try the CDN re-director instead:
Code: Select all
# /etc/apt/sources.list
deb https://cdn-aws.deb.debian.org/debian/ stretch main non-free contrib
deb https://cdn-aws.deb.debian.org/debian/ stretch-updates main contrib non-free
deb https://cdn-aws.deb.debian.org/debian-security stretch/updates main contrib non-free

https://deb.debian.org

EDIT: you need the apt-transport-https package to use https.
User avatar
Head_on_a_Stick
 
Posts: 10346
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: Problem with APT-GET UPGRADE

Postby llivv » 2019-01-17 10:00

just wait a day or two than try again.

there are a couple of reasons things like that happen and are usually fixed quickly - sometimes within minutes if it has to do with syncing the repos.
In memory of Ian Ashley Murdock (1973 - 2015) founder of the Debian project.
User avatar
llivv
 
Posts: 5488
Joined: 2007-02-14 18:10
Location: cold storage


Return to System configuration

Who is online

Users browsing this forum: No registered users and 15 guests

fashionable